Subject: Re: [PATCH] powerpc/mm: Recompute hash value after a failed update

From: "Aneesh Kumar K.V" <[email-masked]>
Date: Wed, 16 Sep 2015 08:53:31 +0530

"Aneesh Kumar K.V" <[email-masked]> writes:

> If we had secondary hash flag set, we ended up modifying hash value in
> the updatepp code path. Hence with a failed updatepp we will be using
> a wrong hash value for the following hash insert. Fix this by
> recomputing hash before insert.

Without this patch we can end up with using wrong slot number in linux
pte. That can result in us missing an hash pte update or invalidate
which can cause memory corruption or even machine check ?

-aneesh